> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/82.-zapros-vosstanovit-sobytiya-podpiski.md).

# 82. Запрос: Восстановить события подписки

Всегда хорошая практика — иметь возможность восстановить/проверить доставленные и сгенерированные события подписки. Поэтому GeoPard сохраняет историю всех сгенерированных событий подписки для **последних 12 месяцев**.&#x20;

Распространённые сценарии:&#x20;

* Плохое интернет-соединение и события не были доставлены
* Повторный деплой (переустановка) слушателя WebSocket
* Проверьте согласованность полученных и сгенерированных событий

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Поддерживаемые входные фильтры:

* `dateFrom` в виде даты и времени в формате ISO 8601 (например: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` в виде даты и времени в формате ISO 8601 (например: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` в виде массива UUID «Ферм» для поиска
* `fieldUuids` в виде массива UUID «Участков» для поиска&#x20;
* `userUuids` как массив UUID пользователей для поиска
* `eventUuids` в виде массива UUID событий подписки

{% hint style="info" %}
Все фильтры работают как логический **И**.
{% endhint %}

{% hint style="info" %}
Каждое событие подписки имеет атрибут `executionDate` связанный с моментом отправки в формате AWSDateTime, совместимом с ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/82.-zapros-vosstanovit-sobytiya-podpiski.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
